#include "OFileIO.h"

//-----------------------------------------------------------
// OFileIO - functions definitions
//
//	... see header for more information
//
//
//	UPDATES:
//	3/25/04 - Matt: created 
//
//-----------------------------------------------------------


//Default constructor
//
OFileIO::OFileIO()
{
}

//Constructor with filePath
//
//
OFileIO::OFileIO(string filePath)
{
	o.open(filePath.c_str());	//opens filePath

	if(!o)							//test for error when opening filePath
	{
		//cout << "Error open file " << filePath << " for writing\n";
			abort();		//aborts program if there was error opening file
	}
}

//OpenFile
//
//
void OFileIO::OpenFile(string filePath)
{
	o.open(filePath.c_str());	//opens filePath

	if(!o)							//test for error when opening filePath
	{
		//cout << "Error open file " << filePath << " for writing\n";
			abort();		//aborts program if there was error opening file
	}
}

//WriteLine
//
//
void OFileIO::WriteLine(string line)
{
	o << line << endl;
}

//CloseFile
//
//
void OFileIO::CloseFile()
{
	o.close();
}


