
#ifndef __COBSTACLE_H_
#define __COBSTACLE_H_

#include "CBaseEntity.h"
#include "Vec3.h"

//-----------------------------------------------------------
// Class CCoin
//
//	This class represents the obstacles the player is trying to 
// dodge. It is mostly passive, unless hit, of course.
//
//
//	UPDATES:
//	2/11/04/ - Daniel: created
//
//-----------------------------------------------------------


class CObstacle : public CBaseEntity
{
public:
	// construction
	CObstacle();
	CObstacle( Vec3d orig );

	// main overwritten functions
	void Spawn();
	void Think();
	void Hit( CBaseEntity *victim );
	void Remove();

	
};


#endif