
#ifndef __CCOIN_H_
#define __CCOIN_H_

#include "CBaseEntity.h"
#include "Vec3.h"

//-----------------------------------------------------------
// Class CCoin
//
//	This class represents the coins the player is trying to 
// pick up. It is mostly passive.
//
//
//	UPDATES:
//	2/9/04/ - Daniel: created
//
//-----------------------------------------------------------

class CCoin : public CBaseEntity 
{
public:
	// construction
	CCoin(); // normal
	CCoin( Vec3d orig ); // with origin

	// base overloaded functions
	void Spawn(); // when created
	void Think(); // called for logic
	void Hit( CBaseEntity *victim ); // deal with collision
	void Remove(); // remove from gameworld

};


#endif