
#ifndef __ISCRIPTSEGMENT_H_
#define __ISCRIPTSEGMENT_H_

#include "IScriptLine.h"

// string/vector defs
#include <string>
#include <vector>
#include <stdlib.h>
#include <iostream>
using namespace std;

//-----------------------------------------------------------
// Class IScriptSegment
//
//	This class represents the segments of each level to be
// randomly put together.
//
//
//	UPDATES:
//	2/16/04/ - Daniel: created
//
//-----------------------------------------------------------

class IScriptSegment
{
public:
	// functions
	IScriptSegment( string seg ); //
	void Cleanup();
	void AddLine( IScriptLine * s );
	void IncreaseCap();


	string seg_id;
	int difficulty;
	int lineCount;
	int capacity;
	IScriptLine **lineArray;
};

#endif